Bug 102743 - need to handle un-enabled question submissions correctly
need to handle un-enabled question submissions correctly
Product: Red Hat Academy
Classification: Retired
Component: Web Application (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Meyer
Bowe Strickland
Depends On:
  Show dependency treegraph
Reported: 2003-08-20 11:07 EDT by Luke Meyer
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-26 11:26:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luke Meyer 2003-08-20 11:07:22 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Begin a test
2. Submit answers
3. Hit back button or alt-left -- usually returns you to unsubmitted test questions.
4. Submit again -- causes an exception "An exception of type 'NOT_ENABLED'
Occurred The error message was: tried to submit questions for #######" -- this
is a recent webalert.
Actual results:

Expected results:
Cute little error message.

Additional info:
The most likely explanation is that the student did the above.  Another
possibility is that they double-clicked and there was just a fair bit of network
latency.  Trying to craft the message so that it covers all the bases.
Comment 1 Luke Meyer 2003-08-20 11:14:40 EDT
now on webtest
Comment 2 Luke Meyer 2003-08-26 11:26:36 EDT
did the bugzilla DB revert?  I thought I'd marked all these live.  Anyway these
fixes should be live now.

Note You need to log in before you can comment on or make changes to this bug.